# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-04-29 11:55
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Statistics',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.BigIntegerField(unique=True)),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('last_mod_date', models.DateTimeField(auto_now=True, db_index=True)),
                ('paperwork_version', models.CharField(db_index=True, max_length=32)),
                ('nb_documents', models.IntegerField(db_index=True)),
                ('os_name', models.CharField(db_index=True, max_length=16)),
                ('platform_architecture', models.CharField(db_index=True, max_length=64)),
                ('platform_processor', models.CharField(db_index=True, max_length=16)),
                ('platform_distribution', models.CharField(blank=True, db_index=True, default='', max_length=64, null=True)),
                ('cpu_count', models.IntegerField(db_index=True)),
            ],
        ),
    ]
